import java.awt.*;
import javax.swing.*;
import javax.swing.event.*;

public class IconChangesForm {
	public static void main(String[] args) {
     final JSlider w = new JSlider(JSlider.HORIZONTAL, 1, 150, 70);
     final JSlider h = new JSlider(JSlider.HORIZONTAL, 1, 150, 70);
    class FormIcon implements Icon {
     public int getIconWidth() {
     return w.getValue();
      }
     public int getIconHeight() {
     return h.getValue();
      }
    public void paintIcon(Component component, Graphics g, int p, int q) {
        g.fillOval(p, q, getIconWidth(), getIconHeight());
		 }
    }
    Icon icon = new FormIcon();
    final JLabel label = new JLabel(icon);
    class Form implements ChangeListener {
      public void stateChanged(ChangeEvent event) {
        label.repaint();
      }
    }
    Form form = new Form();
    w.addChangeListener(form);
    h.addChangeListener(form);
    JFrame frame = new JFrame("Form Icon");
    Container container = frame.getContentPane();
    container.setLayout(new BorderLayout());
    container.add(w, BorderLayout.NORTH);
    container.add(h, BorderLayout.SOUTH);
    container.add(label, BorderLayout.CENTER);
    frame.setSize(200, 200);
    frame.show();
  }
  }